Dump debugging information into the log

- « mysqli::debug

- mysqli::$errno »

- PHP Manual
- mysqli
- Dump debugging information into the log

# mysqli::dump_debug_info

# mysqli_dump_debug_info

(PHP 5, PHP 7, PHP 8)

mysqli::dump_debug_info -- mysqli_dump_debug_info — Dump debugging information into the log

### Description

Object-oriented style

public mysqli::dump_debug_info(): bool

Procedural style

mysqli_dump_debug_info(mysqli `$mysql`): bool

This function is designed to be executed by an user with the SUPER privilege and is used to dump debugging information into the log for the MySQL Server relating to the connection.

### Parameters

`mysql`

  Procedural style only: A mysqli object returned by mysqli_connect() or mysqli_init()

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- mysqli_debug() - Performs debugging operations